%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:           ocaml-type-conv
Version:        1.6.10
Release:        3%{?dist}
Summary:        OCaml base library for type conversion

Group:          Development/Libraries
License:        LGPLv2+ with exceptions and BSD
URL:            http://www.ocaml.info/home/ocaml_sources.html#type-conv
Source0:        http://hg.ocaml.info/release/type-conv/archive/release-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch:    sparc64 s390 s390x

BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  dos2unix

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh -i Asttypes -i Parsetree
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh


%description
The type-conv mini library factors out functionality needed by
different preprocessors that generate code from type specifications,
because this functionality cannot be duplicated without losing the
ability to use these preprocessors simultaneously.


%prep
%setup -q -n type-conv-release-%{version}
dos2unix LICENSE.Tywith


%build
make


%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE LICENSE.Tywith Changelog COPYRIGHT README.txt
%{_libdir}/ocaml/type-conv


%changelog
* Wed Dec 30 2009 Richard W.M. Jones <rjones@redhat.com> - 1.6.10-3
- Rebuild for OCaml 3.11.2.

* Sun Oct  4 2009 Richard W.M. Jones <rjones@redhat.com> - 1.6.10-2
- New upstream version 1.6.10.
- "CHANGES" -> "Changelog"

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.6.7-2
- Rebuild for OCaml 3.11.1

* Thu Apr 16 2009 S390x secondary arch maintainer <fedora-s390x@lists.fedoraproject.org>
- ExcludeArch sparc64, s390, s390x as we don't have OCaml on those archs
  (added sparc64 per request from the sparc maintainer)

* Tue Mar 10 2009 Richard W.M. Jones <rjones@redhat.com> - 1.6.7-1
- New upstream version 1.6.7.
- Fixed source URL.
- VERSION file no longer exists in upstream tarball.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 26 2008 Richard W.M. Jones <rjones@redhat.com> - 1.6.4-3
- Rebuild for OCaml 3.11.0+rc1.

* Mon Nov 24 2008 Richard W.M. Jones <rjones@redhat.com> - 1.6.4-2
- Rebuild.

* Thu Nov 20 2008 Richard W.M. Jones <rjones@redhat.com> - 1.6.4-1
- New upstream version 1.6.4.

* Wed Nov 19 2008 Richard W.M. Jones <rjones@redhat.com> - 1.6.1-2
- Rebuild for OCaml 3.11.0

* Sun Aug 31 2008 Richard W.M. Jones <rjones@redhat.com> - 1.6.1-1
- New upstream version 1.6.1.

* Mon May  5 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5.0-2
- Ignore Asttypes/Parsetree.

* Sat May  3 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5.0-1
- New upstream version 1.5.0.

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 1.4.0-2
- Rebuild for OCaml 3.10.2

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 1.4.0-1
- New version 1.4.0.
- Fixed upstream URL.

* Wed Mar  5 2008 Richard W.M. Jones <rjones@redhat.com> - 1.3.0-3
- Remove ExcludeArch ppc64.

* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> - 1.3.0-2
- Add missing BR for ocaml-camlp4-devel and test build in mock.

* Sun Feb 24 2008 Richard W.M. Jones <rjones@redhat.com> - 1.3.0-1
- Initial RPM release.
